Subject: Re: bug#21468: 24.5; When next-line (visual) crosses overlay with before-string="\n" point goes to column 0

From: Stefan Monnier <[email-masked]>
Date: Mon, 14 Sep 2015 09:22:44 -0400

> In this particular case, the overlays are delimiting a "magit region"
> (consisting of whole logical lines touched by Emacs' region). This
> means the thin line has to move with point, staying just ahead of it.

While I think I can see why you'd do it that way in earlier Emacsen,
I think the better way to do it nowadays is to simply arrange for the
region highlighting to extend to to whole lines.

You can do that with redisplay-(un)highlight-region-function, which was
introduced to allow rectangular-region-highlighting.

        Stefan